# Generated by Django 5.1.7 on 2025-03-20 19:03

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("cms", "0002_homepage"),
        ("wagtailcore", "0094_alter_page_locale"),
    ]

    operations = [
        migrations.CreateModel(
            name="DemoPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "tagline",
                    models.CharField(
                        help_text="This is a required tagline", max_length=255
                    ),
                ),
                (
                    "description",
                    wagtail.fields.RichTextField(
                        blank=True, help_text="This is an optional description"
                    ),
                ),
                (
                    "demo_blocks",
                    wagtail.fields.StreamField(
                        [("DemoBlock", 8), ("DemoSubBlock", 5)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "This is a required tagline",
                                    "max_length": 255,
                                    "required": True,
                                },
                            ),
                            1: (
                                "___project_name__snake___.apps.cms.blocks.RichTextBlock",
                                (),
                                {
                                    "help_text": "This is an optional description",
                                    "required": False,
                                },
                            ),
                            2: (
                                "___project_name__snake___.apps.cms.blocks.ImageChooserBlock",
                                (),
                                {
                                    "filters": [
                                        (
                                            ["fill-768x150-c100", "fill-1024x250-c100"],
                                            "(max-width: 767px)",
                                            "100vw",
                                        ),
                                        (
                                            ["fill-512x250-c100", "fill-1024x250-c100"],
                                            "(max-width: 1023px)",
                                            "50vw",
                                        ),
                                        (
                                            ["fill-360x350-c100", "fill-640x350-c100"],
                                            "(min-width: 1024px)",
                                            "25vw",
                                        ),
                                    ],
                                    "help_text": "This is an optional image",
                                    "required": False,
                                },
                            ),
                            3: ("wagtail.blocks.CharBlock", (), {}),
                            4: (
                                "wagtail.blocks.StreamBlock",
                                [[("Heading", 3)]],
                                {"required": False},
                            ),
                            5: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("tagline", 0),
                                        ("description", 1),
                                        ("image", 2),
                                        ("heading_blocks", 4),
                                    ]
                                ],
                                {},
                            ),
                            6: (
                                "wagtail.blocks.StreamBlock",
                                [[("DemoSubBlock", 5)]],
                                {"required": False},
                            ),
                            7: (
                                "___project_name__snake___.apps.cms.blocks.ImageChooserBlock",
                                (),
                                {
                                    "help_text": "This is an optional image",
                                    "required": False,
                                },
                            ),
                            8: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("tagline", 0),
                                        ("description", 1),
                                        ("demo_sub_blocks", 6),
                                        ("image", 7),
                                    ]
                                ],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="cms.customimage",
                    ),
                ),
            ],
            options={
                "verbose_name": "Demo Page",
                "verbose_name_plural": "Demo Pages",
            },
            bases=("wagtailcore.page",),
        ),
    ]
